# simple-lda

[![Generic badge](https://img.shields.io/badge/github-simple%20lda-blue.svg)](https://github.com/Sylhare/simple-lda) [![PyPI version](https://badge.fury.io/py/simple-lda.svg)](https://badge.fury.io/py/simple-lda) [![Build Status](https://travis-ci.org/Sylhare/simple-lda.svg?branch=master)](https://travis-ci.org/Sylhare/simple-lda) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/78c4fa98c13b461a9efb74e66492ee5b)](https://www.codacy.com/app/Sylhare/lda?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=Sylhare/lda&amp;utm_campaign=Badge_Grade)

Latent Dirichlet allocation (LDA) is a topic model that generates topics based on word frequency from a set of documents. 
LDA is particularly useful for finding reasonably accurate mixtures of topics within a given document set.

## Installation

The library is available on PyPI:

```
    pip install simple-lda
```

## Sources

- [Edwin Chen Introduction to latent Dirichlet Allocation](http://blog.echen.me/2011/08/22/introduction-to-latent-dirichlet-allocation/)
- [Jordan Barder LDA with Python walkthrough](https://rstudio-pubs-static.s3.amazonaws.com/79360_850b2a69980c4488b1db95987a24867a.html)
- [Gensim library for lda based on M Hoffman's paper](https://radimrehurek.com/gensim/models/ldamodel.html) 
- [Snowball for Porter stemming algorithm ](http://snowball.tartarus.org/algorithms/english/stemmer.html)
- [Bird, Steven, Edward Loper and Ewan Klein (2009), Natural Language Processing with Python. O’Reilly Media Inc
](http://www.nltk.org/index.html)
